<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_Controller_Router_Route_TrailingSlash extends \Zend_Controller_Router_Route
{
    /**
     * Instantiates route based on passed Zend_Config structure
     *
     * @param \Zend_Config $config Configuration object
     */
    public static function getInstance(\Zend_Config $config)
    {
        $reqs = ($config->reqs instanceof \Zend_Config) ? $config->reqs->toArray() : array();
        $defs = ($config->defaults instanceof \Zend_Config) ? $config->defaults->toArray() : array();
        return new self($config->route, $defs, $reqs);
    }

    public function assemble($data = array(), $reset = false, $encode = false, $partial = false)
    {
        $url = parent::assemble($data, $reset, $encode, $partial);
        if ($url != '/')
        {
            $url .= '/';
        }

        return $url;
    }
}