<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_View_Helper_AbbreviatedRelativeDate extends \Zend_View_Helper_Abstract
{
    /**
     * @param string $date unix timestamp
     * @param null $now unix timestamp, defaults to time()
     * @return string
     */
    public function abbreviatedRelativeDate($date, $now = null)
    {
        $time = strtotime($date);

        $relativeTimeViewHelper = new DZF_View_Helper_RelativeTime();
        $relativeTimeString = $relativeTimeViewHelper->relativeTime($time, $now);

        return '<abbr title="'.date('d.m. H:i', $time).'">'.$relativeTimeString.'</abbr>';
    }
}