<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_View_Helper_BodyClasses extends \Zend_View_Helper_Abstract
{
    protected static $_classes = array();

    public static function addClass($class)
    {
        self::$_classes[] = $class;
    }

    public static function removeClass($class)
    {
        foreach (self::$_classes as $key => $val)
        {
            if ($val === $class)
            {
                unset(self::$_classes[$key]);
            }
        }
    }

    public static function reset()
    {
        self::$_classes = array();
    }

    public function bodyClasses()
    {
        if (!count(self::$_classes))
        {
            return '';
        }

        return ' '.implode(' ', self::$_classes);
    }
}