<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * ZFDebug Zend Additions
 *
 * @category   ZFDebug
 * @package    ZFDebug_Controller
 * @subpackage Plugins
 * @copyright  Copyright (c) 2008-2009 ZF Debug Bar Team (http://code.google.com/p/zfdebug)
 * @license    http://code.google.com/p/zfdebug/wiki/License     New BSD License
 * @version    $Id: Session.php 113 2009-06-23 14:34:03Z abtris $
 */

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_ZFDebug_Controller_Plugin_Debug_Plugin_Session extends \ZFDebug_Controller_Plugin_Debug_Plugin implements \ZFDebug_Controller_Plugin_Debug_Plugin_Interface
{

    /**
     * Contains plugin identifier name
     *
     * @var string
     */
    protected $_identifier = 'session';

    /**
     * Create DZF_ZFDebug_Controller_Plugin_Debug_Plugin_Session
     *
     * @return void
     */
    public function __construct()
    {

    }

    /**
     * Gets identifier for this plugin
     *
     * @return string
     */
    public function getIdentifier()
    {
        return $this->_identifier;
    }

    /**
     * Gets menu tab for the Debugbar
     *
     * @return string
     */
    public function getTab()
    {

        $html = "Session";
        return $html;
    }

    /**
     * Gets content panel for the Debugbar
     *
     * @return string
     */
    public function getPanel()
    {
        $html = '<h4>Session</h4>';
        $html .= '<pre>';
        $html .= var_export(DZF_Exception::filterSession($_SESSION), true);
        $html .= '</pre>';

        return $html;
    }
}
