<?php


class DZF_Filter_ClientTests extends DZF_Helpers_TestCaseBase
{
    const HTTP_OK = 200;
    const HTTP_NOT_FOUND = 404;

    public function testGETRequest()
    {
        $client = new DZF_Http_Client();
        $testUrl = "http://httpbin.org/get";
        $client->setUri($testUrl);

        $response = $client->request('GET');
        $this->assertEquals(self::HTTP_OK, $response->getStatus());
    }

    public function testPOSTRequest()
    {
        $client = new DZF_Http_Client();
        $testUrl = "http://httpbin.org/post";
        $client->setUri($testUrl);

        $response = $client->request('POST');
        $this->assertEquals(self::HTTP_OK, $response->getStatus());
    }

    public function testPUTRequest()
    {
        $client = new DZF_Http_Client();
        $testUrl = "http://httpbin.org/put";
        $client->setUri($testUrl);

        $response = $client->request('PUT');
        $this->assertEquals(self::HTTP_OK, $response->getStatus());
    }

    public function testDELETERequest()
    {
        $client = new DZF_Http_Client();
        $testUrl = "http://httpbin.org/delete";
        $client->setUri($testUrl);

        $response = $client->request('DELETE');
        $this->assertEquals(self::HTTP_OK, $response->getStatus());
    }

    public function testPATCHRequest()
    {
        $client = new DZF_Http_Client();
        $testUrl = "http://httpbin.org/patch";
        $client->setUri($testUrl);

        $response = $client->request('PATCH');
        $this->assertEquals(self::HTTP_OK, $response->getStatus());
    }

    public function testNotFoundRequest()
    {
        $client = new DZF_Http_Client();
        $testUrl = "http://httpbin.org/notFound";
        $client->setUri($testUrl);

        $response = $client->request('PATCH');
        $this->assertEquals(self::HTTP_NOT_FOUND, $response->getStatus());
    }
}
