<?php

class DFZ_Log_Writer_DoctrineTests extends DZF_Helpers_TestCaseBase
{
    public function testFlush()
    {
        $event = array(
            'message' => 'This is test message',
            'priority' => 'Some priority',
            'timestamp' => '2010-06-04 00:00:00',
            'info' => 'DFZ/Log/Writer'
        );

        $doctrineLog = new DZF_Log_Writer_Doctrine();
        $doctrineLog->write($event);
        $doctrineLog->flush();
        $lastInsertId = self::$connection->lastInsertId();

        $expectedData = array(
            'id' => $lastInsertId,
            'timestamp' => '2010-06-04 00:00:00',
            'message' => 'This is test message',
            'namespace' => 'DFZ/Log/Writer',
            'priority' => 'Some priority'
        );

        /** @var DzfLogs $item */
        $item = self::$connection->getTable('DzfLogs')->findOneById($lastInsertId);

        $this->assertEquals($expectedData, $item->getData());
    }
}
