<?php

class DZF_Mail_Transport_LocalQueueTests extends DZF_Helpers_TestCaseBase
{
    public function testGetQueue()
    {
        $localQueue = new DZF_Mail_Transport_LocalQueue();

        $mail = new Zend_Mail();
        $mail->setBodyText('This is the text of the mail.');
        $mail->setFrom('somebody@example.com', 'Some Sender');
        $mail->addTo('somebody_else@example.com', 'Some Recipient');
        $mail->setSubject('TestSubject');

        $localQueue->send($mail);
        $queue = $localQueue->getQueue();
        $this->assertEquals(true, !empty($queue));
    }

    public function testClearQueue()
    {
        $localQueue = new DZF_Mail_Transport_LocalQueue();

        $mail = new Zend_Mail();
        $mail->setBodyText('This is the text of the mail.');
        $mail->setFrom('somebody@example.com', 'Some Sender');
        $mail->addTo('somebody_else@example.com', 'Some Recipient');
        $mail->setSubject('TestSubject');

        $localQueue->send($mail);
        $queue = $localQueue->clearQueue();
        $this->assertEquals(true, empty($queue));
    }
}
