<?php

class DZF_MailTests extends DZF_Helpers_TestCaseBase
{
    use TestHelpers;

    const TEST_CONTENT = 'This is test message will be encrypt by RSA key';
    const TEST_PASSWORD = '123456789';

    public function testEncrypt()
    {
        $fileName = 'pgp_keys/publicKey.asc';
        $filePath = $this->getFilePath($fileName);
        $publicKeyRaw = file_get_contents($filePath);

        $encryptContent = DZF_Mail::encrypt(self::TEST_CONTENT, $publicKeyRaw);

        $this->assertNotNull($encryptContent);
    }

    public function testDecrypt()
    {
        $fileName = 'pgp_keys/encryptMessage.asc';
        $filePath = $this->getFilePath($fileName);
        $encryptMessage = file_get_contents($filePath);

        $fileName = 'pgp_keys/privateKey.asc';
        $filePath = $this->getFilePath($fileName);
        $privateKeyRaw = file_get_contents($filePath);

        $decryptedContent = DZF_Mail::decrypt($encryptMessage, $privateKeyRaw, self::TEST_PASSWORD);

        $this->assertTrue(!empty($decryptedContent));
        $this->assertEquals(self::TEST_CONTENT, $decryptedContent[0]->packets[0]->data);
    }

    public function testSign()
    {
        $fileName = 'pgp_keys/encryptMessage.asc';
        $filePath = $this->getFilePath($fileName);
        $encryptMessage = file_get_contents($filePath);

        $fileName = 'pgp_keys/privateKey.asc';
        $filePath = $this->getFilePath($fileName);
        $privateKeyRaw = file_get_contents($filePath);

        $enarmoredSignContent = DZF_Mail::sign($encryptMessage, $privateKeyRaw, self::TEST_PASSWORD);

        $this->assertNotNull($enarmoredSignContent);
    }
}
