<?php

class DZF_Nagios_FormatterTests extends DZF_Helpers_TestCaseBase
{
    public function testFillPlaceholders()
    {
        $formatter = $this->getMockForAbstractClass(DZF_Nagios_Formatter::class, array(), '', TRUE, TRUE, TRUE, array('fillPlaceholders'));

        $formatter->expects($this->any())
            ->method('fillPlaceholders')
            ->will($this->returnValue(['placeholder1' => 'test 1']));

        $this->assertEquals(['placeholder1' => 'test 1'], $formatter->fillPlaceholders(['placeholder1' => 123]));
    }

    public function testGetMode()
    {
        $formatter = $this->getMockForAbstractClass(DZF_Nagios_Formatter::class, array(), '', TRUE, TRUE, TRUE, array('setMode'));

        $formatter->expects($this->any())
            ->method('setMode')
            ->will($this->returnValue(DZF_Nagios_Formatter::class));

        $this->assertEquals(DZF_Nagios_Formatter::class, $formatter->setMode(DZF_Nagios_Plugin::MODE_HIGHER_IS_BETTER));
    }

    public function testSetMode()
    {
        $formatter = $this->getMockForAbstractClass(DZF_Nagios_Formatter::class, array(), '', TRUE, TRUE, TRUE, array('getMode'));

        $formatter->expects($this->any())
            ->method('getMode')
            ->will($this->returnValue(DZF_Nagios_Plugin::MODE_UNKNOWN));

        $this->assertEquals(DZF_Nagios_Plugin::MODE_UNKNOWN, $formatter->getMode());
    }
}
