<?php

class DZF_Nagios_PluginTests extends DZF_Helpers_TestCaseBase
{
    public function testGetResult()
    {
        $plugin = $this->getMockForAbstractClass(DZF_Nagios_Plugin::class, array(), '', TRUE, TRUE, TRUE, array('getResult'));

        $test = "test text";
        $plugin->expects($this->any())
            ->method('getResult')
            ->will($this->returnValue($test));

        $this->assertEquals($test, $plugin->getResult($test));
    }

    public function testSetFormatter()
    {
        $plugin = $this->getMockForAbstractClass(DZF_Nagios_Plugin::class, array(), '', TRUE, TRUE, TRUE, array('setFormatter'));

        $test = 'test formatter';
        $plugin->expects($this->any())
            ->method('setFormatter')
            ->will($this->returnValue(DZF_Nagios_Plugin::class));

        $this->assertEquals(DZF_Nagios_Plugin::class, $plugin->setFormatter($test));
    }

    public function testGetFormatter()
    {
        $plugin = $this->getMockForAbstractClass(DZF_Nagios_Plugin::class, array(), '', TRUE, TRUE, TRUE, array('getFormatter'));

        $test = 'test formatter';
        $plugin->expects($this->any())
            ->method('getFormatter')
            ->will($this->returnValue($test));

        $this->assertEquals($test, $plugin->getFormatter());
    }

    public function testSetFormatterException()
    {
        $plugin = $this->getMockForAbstractClass(DZF_Nagios_Plugin::class, array(), '', TRUE, TRUE, TRUE, array('setFormatter'));

        $test = 'test formatter';
        $plugin->expects($this->any())
            ->method('setFormatter')
            ->will($this->returnValue(new \Exception('Formatter should be the instance of DZF_Nagios_Formatter class or the string.')));

        $this->assertEquals(new \Exception('Formatter should be the instance of DZF_Nagios_Formatter class or the string.'), $plugin->setFormatter($test));
    }

    public function testSetWarning()
    {
        $plugin = $this->getMockForAbstractClass(DZF_Nagios_Plugin::class, array(), '', TRUE, TRUE, TRUE, array('setWarning'));

        $testWarning = 'test warning';
        $plugin->expects($this->any())
            ->method('setWarning')
            ->will($this->returnValue(DZF_Nagios_Plugin::class));

        $this->assertEquals(DZF_Nagios_Plugin::class, $plugin->setWarning($testWarning));
    }

    public function testGetWarning()
    {
        $plugin = $this->getMockForAbstractClass(DZF_Nagios_Plugin::class, array(), '', TRUE, TRUE, TRUE, array('getWarning'));

        $plugin->expects($this->any())
            ->method('getWarning')
            ->will($this->returnValue(DZF_Nagios_Plugin::class));

        $this->assertEquals(DZF_Nagios_Plugin::class, $plugin->getWarning());
    }

    public function testSetCritical()
    {
        $plugin = $this->getMockForAbstractClass(DZF_Nagios_Plugin::class, array(), '', TRUE, TRUE, TRUE, array('setCritical'));

        $criticalThreshold = 'test criticalThreshold';
        $plugin->expects($this->any())
            ->method('setCritical')
            ->will($this->returnValue(DZF_Nagios_Plugin::class));

        $this->assertEquals(DZF_Nagios_Plugin::class, $plugin->setCritical($criticalThreshold));
    }

    public function testGetCritical()
    {
        $plugin = $this->getMockForAbstractClass(DZF_Nagios_Plugin::class, array(), '', TRUE, TRUE, TRUE, array('getCritical'));

        $plugin->expects($this->any())
            ->method('getCritical')
            ->will($this->returnValue(DZF_Nagios_Plugin::class));

        $this->assertEquals(DZF_Nagios_Plugin::class, $plugin->getCritical());
    }

    public function testSetMax()
    {
        $plugin = $this->getMockForAbstractClass(DZF_Nagios_Plugin::class, array(), '', TRUE, TRUE, TRUE, array('setMax'));

        $max = 'test max';
        $plugin->expects($this->any())
            ->method('setMax')
            ->will($this->returnValue(DZF_Nagios_Plugin::class));

        $this->assertEquals(DZF_Nagios_Plugin::class, $plugin->setMax($max));
    }

    public function testGetMax()
    {
        $plugin = $this->getMockForAbstractClass(DZF_Nagios_Plugin::class, array(), '', TRUE, TRUE, TRUE, array('getMax'));

        $plugin->expects($this->any())
            ->method('getMax')
            ->will($this->returnValue(DZF_Nagios_Plugin::class));

        $this->assertEquals(DZF_Nagios_Plugin::class, $plugin->getMax());
    }

    public function testSetMMin()
    {
        $plugin = $this->getMockForAbstractClass(DZF_Nagios_Plugin::class, array(), '', TRUE, TRUE, TRUE, array('setMin'));

        $min = 'test min';
        $plugin->expects($this->any())
            ->method('setMin')
            ->will($this->returnValue(DZF_Nagios_Plugin::class));

        $this->assertEquals(DZF_Nagios_Plugin::class, $plugin->setMin($min));
    }

    public function testGetMin()
    {
        $plugin = $this->getMockForAbstractClass(DZF_Nagios_Plugin::class, array(), '', TRUE, TRUE, TRUE, array('getMin'));

        $plugin->expects($this->any())
            ->method('getMin')
            ->will($this->returnValue(DZF_Nagios_Plugin::class));

        $this->assertEquals(DZF_Nagios_Plugin::class, $plugin->getMin());
    }

    public function testGetVersion()
    {
        $expectedVersion = '1.0.0';
        $pluginVersion = DZF_Nagios_Plugin::getVersion();

        $this->assertEquals($expectedVersion, $pluginVersion);
    }
}
