<?php

class DZF_Settings_Source_IniTests extends DZF_Helpers_TestCaseBase
{
    use TestHelpers;

    const INI_SETTINGS = array(
        'DETAILEDLOG' => 1,
        'SETTINGS_STATUSPORT' => 6090,
        'STATUSREFRESH' => 10
    );

    public function testGetValue()
    {
        $fileName = 'testIni.ini';
        $filePath = $this->getFilePath($fileName);

        $ini = new DZF_Settings_Source_Ini($filePath);

        $this->assertEquals(self::INI_SETTINGS['DETAILEDLOG'], $ini->getValue('Settings','DetailedLog'));
        $this->assertEquals(self::INI_SETTINGS['SETTINGS_STATUSPORT'], $ini->getValue('Settings','StatusPort'));
        $this->assertEquals(self::INI_SETTINGS['STATUSREFRESH'], $ini->getValue('Settings','StatusRefresh'));
    }

    /**
     * @expectedException Zend_Config_Exception
     * @expectedExceptionMessage failed to open stream: No such file or directory
     */
    public function testGetValueException()
    {
        $fileName = 'testIniNotFound.ini';
        $notExistPath = $this->getFilePath($fileName);

        $ini = new DZF_Settings_Source_Ini($notExistPath);
    }
}