<?php

class DZF_Validate_IbanFieldTests extends DZF_Helpers_TestCaseBase
{
    public function testIsValid()
    {
        $valueValid = 'DE75512108001245126199';
        $valueNotValid1 = 'DE7551210800124512619923';
        $valueNotValid2 = 'DE75512H08001245126199';

        $ibanField = new DZF_Validate_IbanField();
        $ibanField->setLocale('DE');

        $result = $ibanField->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $ibanField->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $ibanField->isValid($valueNotValid2);
        $this->assertEquals(false, $result);


        $valueValid = 'FR7630006000011234567890189';
        $valueNotValid1 = 'FR76300060000112345678901';
        $valueNotValid2 = 'FR7630006&00011234567890189';

        $ibanField->setLocale('FR');

        $result = $ibanField->isValid($valueValid);
        $this->assertEquals(true, $result);

        $result = $ibanField->isValid($valueNotValid1);
        $this->assertEquals(false, $result);

        $result = $ibanField->isValid($valueNotValid2);
        $this->assertEquals(false, $result);
    }
}
